## gle-graphics 4.2.3b

=== debian/changelog ===
gle-graphics (4.2.3b-2ubuntu1) precise; urgency=low

  * Backport upstream patch to build against qt4.8 (LP: #935114)

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 24 Feb 2012 19:41:20 +0100

gle-graphics (4.2.3b-2) unstable; urgency=low

  * configure with-scripts=no
  * remove glebtool only when it exists
  * do not compress LICENSE.txt as it is read by qgle
  * let qgle search for /usr/lib/libgs.so.9 before any other libgs

 -- Christian T. Steigies <cts@debian.org>  Mon, 07 Nov 2011 22:42:59 +0100

gle-graphics (4.2.3b-1) unstable; urgency=low

  * new upstream version
  * switch from cdbs to debhelper 8
  * update copyright file
  * do no rely on proc on non-linux systems (closes: #644588)
  * do not ship glebtool, which is a helper used only during build
  * add libqt4-opengl-dev to build-depends

 -- Christian T. Steigies <cts@debian.org>  Thu, 20 Oct 2011 22:15:27 +0200

gle-graphics (4.2.2-6) unstable; urgency=low

  * define PATH_MAX to fix building on gnu-hurd

 -- Christian T. Steigies <cts@debian.org>  Fri, 07 Oct 2011 21:20:44 +0200

gle-graphics (4.2.2-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * qgle: link with -ldl for all unix targets (closes: #554556)
  * recommend libgs9 instead of libgs8
  * Updated Standards-Version to 3.9.2 (no changes)
  * do not ignore make clean errors

 -- Christian T. Steigies <cts@debian.org>  Thu, 06 Oct 2011 23:10:58 +0200

gle-graphics (4.2.2-4) unstable; urgency=low

  * add libtool and pkg-config to build-depends

 -- Christian T. Steigies <cts@debian.org>  Tue, 06 Apr 2010 22:52:09 +0200

gle-graphics (4.2.2-3) unstable; urgency=low

  * run "autoreconf -vfi" as pre-configure action instead of 
    "aclocal && autoconf" as configure action (closes: #571296)
  * remove autogenerated aclocal.m4 and configure in clean target
  
 -- Christian T. Steigies <cts@debian.org>  Mon, 05 Apr 2010 21:36:40 +0200

gle-graphics (4.2.2-2) unstable; urgency=low

  * upload to unstable
  * Updated Standards-Version to 3.8.4 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Wed, 24 Feb 2010 23:21:37 +0100

gle-graphics (4.2.2-1) experimental; urgency=low

  * new upstream version
  * 001-kfreebsd-support patch is included upstream
  * configure --with-rpath=no

 -- Christian T. Steigies <cts@debian.org>  Wed, 20 Jan 2010 22:59:32 +0100

gle-graphics (4.2.1-2) experimental; urgency=low

  * add patch to allow building on kfreebsd
  * Updated Standards-Version to 3.8.3 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Wed, 09 Sep 2009 00:56:21 +0200

gle-graphics (4.2.1-1) experimental; urgency=low

  * new upstream version
  * added automake and ghostscript to Build-Depends

 -- Christian T. Steigies <cts@debian.org>  Sat, 05 Sep 2009 22:33:51 +0200

gle-graphics (4.2.0-1) experimental; urgency=low

  * new upstream version
  * rename package to gle-graphics

 -- Christian T. Steigies <cts@debian.org>  Fri, 17 Apr 2009 00:36:23 +0200

glx (4.2.0-1) experimental; urgency=low

  * new upstream version
  * Updated Standards-Version to 3.8.0 (no changes)
  * do not ship LICENSE.txt, this is included in debian/copyright
  * addeded simple man and qgle manpages
  * build and ship gle-manual.pdf

 -- Christian T. Steigies <cts@debian.org>  Mon, 13 Apr 2009 14:04:59 +0200

glx (4.1.1) experimental; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Tue, 26 Feb 2008 23:58:04 +0100

glx (4.1.0-rc2-1) experimental; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Thu, 22 Nov 2007 22:52:11 +0100

glx (4.1.0-rc1-1) experimental; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Thu,  4 Oct 2007 00:46:10 +0200

glx (4.0.12-1) experimental; urgency=low

  * new upstream version
  * switch to cdbs, build from upstream "tarball"

 -- Christian T. Steigies <cts@debian.org>  Wed,  3 Oct 2007 12:08:52 +0200

glx (4.0.7-1) unstable; urgency=low

  * Initial Release.

 -- Christian T. Steigies <cts@debian.org>  Sat,  8 Jan 2005 11:31:38 +0100
