=== debian/control ===
Source: gle-graphics
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian T. Steigies <cts@debian.org>
Build-Depends: debhelper (>= 8.0.0), libtiff-dev, libboost-dev, libqt4-dev, libqt4-opengl-dev, libjpeg-dev, libpng-dev, ncurses-dev, texlive, texlive-latex-extra, automake, ghostscript, libtool, pkg-config
Standards-Version: 3.9.2

Package: gle-graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgs9
Description: Interactive Graphics Language Editor
 GLE  is  a  high  quality  graphics  package for scientists,
 combining  a  user  friendly  interface with a full range of
 facilities    for   producing  publication  quality  graphs,
 diagrams, posters and slides.
 .
 GLE  provides LaTeX quality fonts together with a flexible
 graphics  module  which  allows  the  user  to  specify  any
 feature  of a graph (down to the line width of the subticks,
 for example)
 .
 Complex  pictures can be drawn with user defined subroutines
 and simple looping structures.
 .
 Current  device  drivers support DECWINDOWS, REGIS, TEK4010,
 all  PC  graphics  cards,  VT100s,  HP-Plotters,  PostScript
 Printers, EPSON Printers and LaserJet Printers.
 .
 GLE  runs  on  both  VAXes and PCs, giving an identical user
 interface on both platforms.
