=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	make	
	make doc

override_dh_auto_clean:
	[ ! -f Makefile ] || make distclean
# remove files which are updated by autoreconf:
	-rm aclocal.m4 configure

override_dh_auto_configure:
	-autoreconf -vfi
	./configure --docdir=/usr/share/doc/gle-graphics/ --with-rpath=no --with-scripts=no

override_dh_auto_install:
	dh_auto_install
	cp debian/qgle.1 debian/gle-graphics/usr/share/man/man1/
	cp debian/manip.1 debian/gle-graphics/usr/share/man/man1/
# do not ship helper that is only used during build
	[ -f debian/gle-graphics/usr/bin/glebtool ] || rm debian/gle-graphics/usr/bin/glebtool

# do not compress LICENSE.txt as it needs to be read by qgle
override_dh_compress:
	dh_compress -X usr/share/doc/gle-graphics/LICENSE.txt
