## gle-graphics 4.2.4

=== debian/changelog ===
gle-graphics (4.2.4-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Wed, 11 Jan 2012 22:59:48 +0100

gle-graphics (4.2.3b~rc1-1) experimental; urgency=low

  * new upstream version, includes libgs9 and hurd patches
  * enable hardening with hardening-wrapper
  * fix typos in binaries
  * add Homepage field
  * register gle-manual with doc-base

 -- Christian T. Steigies <cts@debian.org>  Sat, 12 Nov 2011 13:37:12 +0100
