=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gle-graphics
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian T. Steigies <cts@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libtiff-dev, libboost-dev, libqt4-dev, libqt4-opengl-dev, libjpeg-dev, libpng-dev, ncurses-dev, texlive, texlive-latex-extra, automake, ghostscript, libtool, pkg-config
+Maintainer: Christian T. Steigies <cts@debian.org>
+Build-Depends: debhelper (>= 8.0.0), libtiff-dev, libboost-dev, libqt4-dev, libqt4-opengl-dev, libjpeg-dev, libpng-dev, ncurses-dev, texlive, texlive-latex-extra, automake, ghostscript, libtool, pkg-config, hardening-wrapper
 Standards-Version: 3.9.2
+Homepage: http://glx.sf.net
 
 Package: gle-graphics
 Architecture: any
