## gle-graphics 4.2.4c

=== debian/changelog ===
gle-graphics (4.2.4c-5) unstable; urgency=low

  * fix building on hurd-i386 with workaround from #578320

 -- Christian T. Steigies <cts@debian.org>  Sun, 30 Sep 2012 23:58:58 +0200

gle-graphics (4.2.4c-4) unstable; urgency=low

  * rewrite package description (closes: #685822)

 -- Christian T. Steigies <cts@debian.org>  Wed, 26 Sep 2012 23:07:27 +0200

gle-graphics (4.2.4c-3) unstable; urgency=low

  * pass --build $(DEB_HOST_GNU_TYPE) to configure
  * do not set DEB_BUILD_HARDENING on sparc to fix building on the buildd

 -- Christian T. Steigies <cts@debian.org>  Wed, 27 Jun 2012 21:50:27 +0200

gle-graphics (4.2.4c-2) unstable; urgency=low

  * add libpoppler-glib-dev and libcairo-dev to Build-Depends
  * build package on smetana.debian.org to show that it does not FTBFS 
    on sparc (closes: #669161)

 -- Christian T. Steigies <cts@debian.org>  Tue, 15 May 2012 23:56:53 +0200

gle-graphics (4.2.4c-1) unstable; urgency=low

  * new upstream version (closes: #662710, #667183)
  * updated Standards-Version to 3.9.3 (no changes)
  
 -- Christian T. Steigies <cts@debian.org>  Fri, 11 May 2012 00:01:36 +0200
