=== debian/control ===
Source: gle-graphics
Section: graphics
Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org>
Build-Depends: automake,
               debhelper (>= 8.0.0),
               ghostscript,
               hardening-wrapper,
               libboost-dev,
               libcairo-dev,
               libjpeg-dev,
               libpng-dev,
               libpoppler-glib-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libtiff-dev,
               libtool,
               ncurses-dev,
               pkg-config,
               texlive,
               texlive-latex-extra
Standards-Version: 3.9.3
Homepage: http://glx.sf.net

Package: gle-graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgs9
Description: Graphics Layout Engine
 GLE is a graphics scripting language designed for creating publication
 quality figures such as charts, plots, graphs, and diagrams. It
 supports various chart types (including function plot, histogram, bar
 chart, scatter plot, contour plot, color map, and surface plot) through
 a simple but flexible set of graphing commands; more complex output can
 be created by relying on its scripting language, which is full featured
 with subroutines, variables, and logic control.
 .
 GLE relies on LaTeX for text output and supports mathematical formulae
 in graphs and figures. Output formats include (E)PS, PDF, JPEG, and PNG.
