=== debian/watch ===
version=3
http://sf.net/glx/(?i:gle)[_-](.+)\.(.+)\.(.+)[_-]src\.zip
