## gle-graphics 4.2.5

=== debian/changelog ===
gle-graphics (4.2.5-7) UNRELEASED; urgency=medium

  * fix FTBS using patch from Slávek Banko (closes: #853420)
  * update Standards-Version to 4.1.1 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 29 Oct 2017 20:57:49 +0100

gle-graphics (4.2.5-6) unstable; urgency=medium

  * add patch from Reiner Herrmann to initialize font table
  * point Vcs-Git and Vcs-Browser to the same recommended location
  * Update configure.ac to prevent autoheader from failing
  * fix spelling mistakes found by codespell 
  * remove typo-occured patch (included in codespell) and refresh patches
  * update manpages, use a manpages file

 -- Christian T. Steigies <cts@debian.org>  Thu, 07 Jul 2016 18:45:11 +0200

gle-graphics (4.2.5-5) unstable; urgency=medium

  * Team upload.
  * Apply patch from Reiner Herrmann to fix reproducible build fix to not
    require faketime.  Closes: #821766
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 23 Apr 2016 11:56:53 +0000

gle-graphics (4.2.5-4) unstable; urgency=medium

  * use faketime to build gle-manual PDF files reproducibly

 -- Christian T. Steigies <cts@debian.org>  Tue, 29 Mar 2016 11:48:58 +0200

gle-graphics (4.2.5-3) unstable; urgency=medium

  * replace today in manual with SOURCE_DATE to build reproducibly
  * update watch file
  * fix typo: occurred
  * use secure URIs in Vcs fields

 -- Christian T. Steigies <cts@debian.org>  Sat, 26 Mar 2016 14:04:07 +0100

gle-graphics (4.2.5-2) unstable; urgency=medium

  * build reproducibly by passing SOURCE_DATE_EPOCH to build
  * updated Standards-Version to 3.9.7 (no changes)
  * set Maintainer to Debian Science Maintainers and add myself to Uploaders
  * added Vcs fields

 -- Christian T. Steigies <cts@debian.org>  Sun, 20 Mar 2016 17:07:38 +0100

gle-graphics (4.2.5-1) unstable; urgency=medium

  * new upstream version
  * remove gle.cpp-typo patch

 -- Christian T. Steigies <cts@debian.org>  Tue, 18 Aug 2015 11:55:12 +0200

gle-graphics (4.2.4c-6) unstable; urgency=low

  * update config.{sub,guess} with autools_dev (closes: #727871, #744438)
  * updated Standards-Version to 3.9.6 (no changes)
  * use debhelper 9 and dpkg-buildflags instead of hardening-wrapper,
    enable hardening on sparc
  * patch qgle.pro.in so that LDFLAGS are used (for hardening)

 -- Christian T. Steigies <cts@debian.org>  Tue, 21 Oct 2014 21:59:16 +0200
