=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: gle-graphics
 Section: graphics
 Priority: optional
-Maintainer: Christian T. Steigies <cts@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Christian T. Steigies <cts@debian.org>
 Build-Depends: automake,
-               debhelper (>= 8.0.0),
+               autotools-dev,
+               debhelper (>= 9),
+               dh-autoreconf,
                ghostscript,
-               hardening-wrapper,
                libboost-dev,
                libcairo-dev,
                libjpeg-dev,
@@ -19,13 +21,15 @@
                pkg-config,
                texlive,
                texlive-latex-extra
-Standards-Version: 3.9.3
+Standards-Version: 4.1.1
 Homepage: http://glx.sf.net
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/gle-graphics.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gle-graphics.git
 
 Package: gle-graphics
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libgs9
+Recommends: libgs9, gle-graphics-doc
 Description: Graphics Layout Engine
  GLE is a graphics scripting language designed for creating publication
  quality figures such as charts, plots, graphs, and diagrams. It
