=== debian/watch ===
version=3
http://sf.net/glx/gle-graphics-([\d\.]+)-src\.tar\.gz
