## gle-graphics 4.3.3

=== debian/changelog ===
gle-graphics (4.3.3-3) unstable; urgency=medium

  * update watch file
  * enable building on the hurd
  * drop build-depends on texlive, this is only used by the manual,
    which is now built as a separate package

 -- Christian T. Steigies <cts@debian.org>  Sat, 14 Jan 2023 17:09:14 +0100

gle-graphics (4.3.3-2) unstable; urgency=medium

  * create inittex.ini during build
  * remove deprecated register keyword
  * upload to unstable

 -- Christian T. Steigies <cts@debian.org>  Thu, 05 Jan 2023 17:36:47 +0100

gle-graphics (4.3.3-1) experimental; urgency=medium

  * new upstream version
  * remove throw(ParserError) from functions and variables (closes: #984153)
  * user larger arrays in makefmt/makefmt.cpp
  * hardcode GLE_TOP_DIR to /usr/share/gle-graphics
  * new glebtool binary package for building the manual, add a manpage
  * PDF manual is now in separate gle-graphics-manual package
  * GLE includes and examples are in separate gle-graphics-library package
  * update Standards-Version to 4.6.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sat, 31 Dec 2022 14:30:55 +0100

gle-graphics (4.3.2-1) UNRELEASED; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Mon, 7 Mar 2022 20:53:09 -0500 

gle-graphics (4.3.1-1) UNRELEASED; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Mon, 31 Jan 2022 19:22:24 -0500

gle-graphics (4.3.0-1) UNRELEASED; urgency=low

  * new upstream version, uses cmake instead of autotools
  * use FindCairo.cmake and FindPixman.cairo from freerdp2 package

 -- Christian T. Steigies <cts@debian.org>  Fri, 27 Aug 2021 21:42:32 +0200

gle-graphics (4.2.5-8) unstable; urgency=medium

  * port qgle to Qt5 (closes: #874901, #935913)
  * add qt5-libgs-multiarch patch (closes: #935720)
  * update Standards-Version to 4.5.0 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Mon, 09 Mar 2020 13:10:16 +0100

gle-graphics (4.2.5-7) unstable; urgency=medium

  * fix FTBS using patch from Slávek Banko (closes: #853420)
  * update Standards-Version to 4.1.1 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 29 Oct 2017 20:57:49 +0100
