=== debian/control ===
Source: gle-graphics
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christian T. Steigies <cts@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               freeglut3-dev,
               ghostscript,
               libboost-dev,
               libcairo-dev,
               libgs-dev,
               libjpeg-dev,
               libpng-dev,
               libpoppler-glib-dev,
               qtbase5-dev,
               libqt5opengl5-dev,
               libtiff-dev,
               libtool,
               ncurses-dev,
               pkg-config
Standards-Version: 4.6.2
Homepage: http://glx.sf.net
Vcs-Browser: https://salsa.debian.org/science-team/gle-graphics
Vcs-Git: https://salsa.debian.org/science-team/gle-graphics.git

Package: gle-graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgs9, gle-graphics-manual
Description: Graphics Layout Engine
 GLE is a graphics scripting language designed for creating publication
 quality figures such as charts, plots, graphs, and diagrams. It
 supports various chart types (including function plot, histogram, bar
 chart, scatter plot, contour plot, color map, and surface plot) through
 a simple but flexible set of graphing commands; more complex output can
 be created by relying on its scripting language, which is full featured
 with subroutines, variables, and logic control.
 .
 GLE relies on LaTeX for text output and supports mathematical formulae
 in graphs and figures. Output formats include (E)PS, PDF, JPEG, and PNG.

Package: gle-graphics-glebtool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gle-graphics (>= ${source:Version}) 
Description: Graphics Layout Engine glebtool
 glebtool is used to build the PDF gle-graphics-manual
